Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class Assert

    java.lang.Object
      com.compoze.util.Assert

public class Assert
extends java.lang.Object

This class implements assertion standards. Assertion may be used in cases where parameter or result validity should be checked, and the failure of such a check indicates a severe problem.

Nested Class Summary
`static class` | `Assert.AssertionFailureException` This exception is thrown when an assertion failure occurs.

Field Summary
`static boolean` | `INSTRUMENTED`

Constructor Summary
`Assert()`

Method Summary
`static void` | `isFalse(boolean bCondition)` Assert that the specified condition is false.
`static void` | `isFalse(boolean bCondition, java.lang.String sMessage)` Assert that the specified condition is false.
`static void` | `isTrue(boolean bCondition)` Assert that the specified condition is true.
`static void` | `isTrue(boolean bCondition, java.lang.String sMessage)` Assert that the specified condition is true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTRUMENTED

    public static final boolean INSTRUMENTED

See Also:
  Constant Field Values

Constructor Detail

### Assert

    public Assert()

Method Detail

### isTrue

    public static void isTrue(boolean bCondition)

  Assert that the specified condition is true.

  Parameters:
    `bCondition` - the condition to assert

### isFalse

    public static void isFalse(boolean bCondition)

  Assert that the specified condition is false.

  Parameters:
    `bCondition` - the condition to assert

### isTrue

    public static void isTrue(boolean bCondition,
                              java.lang.String sMessage)

  Assert that the specified condition is true.

  Parameters:
    `bCondition` - the condition to assert
    `sMessage` - message for exception on assertion failure

### isFalse

    public static void isFalse(boolean bCondition,
                               java.lang.String sMessage)

  Assert that the specified condition is false.

  Parameters:
    `bCondition` - the condition to assert
    `sMessage` - message for exception on assertion failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.